Bug 493809 - Enable all/Disable all input method does not work in scim-bridge
Enable all/Disable all input method does not work in scim-bridge
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: scim (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Peng Wu
QE Internationalization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 04:16 EDT by Yewei Shao
Modified: 2013-04-15 05:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: scim-1.4.4-44.el5
Doc Type: Bug Fix
Doc Text:
When using the SCIM Input Method Setup utility to adjust the global setup of IMEngine modules, clicking the "Disable All" button failed to activate the "Apply" button. This rendered users unable to confirm their changes, and one of the items had to be manually selected and deselected to work around this problem. With this update, a patch has been applied to address this issue, and clicking the "Disable All" button now always allows users to click the "Apply" button as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-16 05:00:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch to fix this problem. (908 bytes, patch)
2009-04-08 05:04 EDT, Peng Huang
no flags Details | Diff

  None (edit)
Description Yewei Shao 2009-04-03 04:16:47 EDT
Description of problem:
Enable All and Disable All will not work if do this as the first option in method choose.

Version-Release number of selected component (if applicable):
scim-bridge-0.4.5-8

How reproducible:everytime


Steps to Reproduce:
1. Set GTK_IM_MODULE=scim-bridge
2. Go to "System -> Preferences -> More Preferences ->  SCIM Input Method Setup"
3. In pop out window, in "IMEngine", click "Global Setup", click "Enable All"
4. In "IMEngine", click "Global Setup", click "Disable All"
  
Actual results:
After the step 3 and 4, the "Apply" button still remain gray. And if you then select one of the input method in it, the "Apply" option can be chosen and then click "Enable All"/"Disable All", the "Apply" button will no more gray.

Expected results:
After the step 3 and step 4, the "Apply" button should not be gray.

Additional info:
Comment 1 RHEL Product and Program Management 2009-04-04 02:57:21 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 Peng Huang 2009-04-07 06:09:21 EDT
Actually, this bug is not in the same package. It is a SCIM's bug.
Comment 5 Peng Huang 2009-04-07 06:10:07 EDT
The patch is ready. Just wait for flags.
Comment 6 Peng Huang 2009-04-08 05:04:16 EDT
Created attachment 338673 [details]
The patch to fix this problem.
Comment 7 Jens Petersen 2009-04-08 06:07:30 EDT
setting devel ack
Comment 11 Jens Petersen 2010-08-03 02:13:29 EDT
Peng Wu is this fixed in fedora btw?  I am assuming the patch is probably a backport.
Comment 12 Peng Wu 2010-08-03 22:45:24 EDT
Yes, I tested with Fedora 12, it seems already fixed.
And this fix is contained in new upstream tar ball, with a slight different patch.
Comment 13 Peng Wu 2011-02-14 21:19:11 EST
Request to import the package to PW for RHEL5.7.
Comment 17 Jaromir Hradilek 2011-03-15 11:27:24 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When using the SCIM Input Method Setup utility to adjust the global setup of IMEngine modules, clicking the "Disable All" button failed to activate the "Apply" button. This rendered users unable to confirm their changes, and one of the items had to be manually selected and deselected to work around this problem. With this update, a patch has been applied to address this issue, and clicking the "Disable All" button now always allows users to click the "Apply" button as expected.
Comment 18 errata-xmlrpc 2011-03-16 05:00:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0355.html

Note You need to log in before you can comment on or make changes to this bug.